mncc.h File Reference
`#include <osmocom/gsm/protocol/gsm_04_08.h>`

Go to the source code of this file.

## Data Structures

struct | gsm_mncc_bearer_cap
struct | gsm_mncc_number
struct | gsm_mncc_cause
struct | gsm_mncc_useruser
struct | gsm_mncc_progress
struct | gsm_mncc_facility
struct | gsm_mncc_ssversion
struct | gsm_mncc_cccap

## Macros

#define | GSM_MAX_FACILITY 128
#define | GSM_MAX_SSVERSION 128
#define | GSM_MAX_USERUSER 128
#define | osmo_mncc_log(ss, level, prefix, msg, len) _osmo_mncc_log(ss, level, __BASE_FILE__, __LINE__, prefix, msg, len);

## Enumerations

enum | { GSM_MNCC_BCAP_SPEECH = 0, GSM_MNCC_BCAP_UNR_DIG = 1, GSM_MNCC_BCAP_AUDIO = 2, GSM_MNCC_BCAP_FAX_G3 = 3, GSM_MNCC_BCAP_OTHER_ITC = 5, GSM_MNCC_BCAP_RESERVED = 7 }

## Functions

struct msgb * | osmo_mncc_stringify (const uint8_t *msg, unsigned int len)
void | _osmo_mncc_log (int subsys, int level, const char *file, int line, const char *prefix, const uint8_t *msg, unsigned int len)
static const char * | osmo_mncc_name (uint32_t msg_type)

## Variables

const struct value_string | osmo_mncc_names []

## Macro Definition Documentation

## GSM_MAX_FACILITY

#define GSM_MAX_FACILITY 128

## GSM_MAX_SSVERSION

#define GSM_MAX_SSVERSION 128

## GSM_MAX_USERUSER

#define GSM_MAX_USERUSER 128

## osmo_mncc_log

#define osmo_mncc_log | ( |  | ss,
|  |  | level,
|  |  | prefix,
|  |  | msg,
|  |  | len
| ) |  | _osmo_mncc_log(ss, level, __BASE_FILE__, __LINE__, prefix, msg, len);

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
GSM_MNCC_BCAP_SPEECH |
GSM_MNCC_BCAP_UNR_DIG |
GSM_MNCC_BCAP_AUDIO |
GSM_MNCC_BCAP_FAX_G3 |
GSM_MNCC_BCAP_OTHER_ITC |
GSM_MNCC_BCAP_RESERVED |

## Function Documentation

## _osmo_mncc_log()

void _osmo_mncc_log | ( | int | subsys,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | prefix,
|  | const uint8_t * | msg,
|  | unsigned int | len
| ) |  |

## osmo_mncc_name()

static const char* osmo_mncc_name | ( | uint32_t | msg_type | ) |

inline static

References msg_type, and osmo_mncc_names.

## osmo_mncc_stringify()

struct msgb* osmo_mncc_stringify | ( | const uint8_t * | msg,
|  | unsigned int | len
| ) |  |

## Variable Documentation

## osmo_mncc_names

const struct value_string osmo_mncc_names[]

Referenced by osmo_mncc_name().